Chromium Code Reviews
Help | Chromium Project | Sign in
(50)

Issue 11896028: Add an location bar icon and a content settings bubble for media settings. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 1 month ago by markusheintz_
Modified:
2 years, 1 month ago
CC:
chromium-reviews, feature-media-reviews_chromium.org, Peter Kasting, Ben Goodger (Google)
Visibility:
Public.

Description

Display a content settings icon in the location bar that indicates whether the current website accesses the mediastream (camera/micorphone) or whether mediastream access was blocked. By clicking on the icon users can open a bubble that allows them change the media setting for the current website. BUG=167263 TEST=TabSpecificContentSettings* TBR=pastarmovj@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=179093

Patch Set 1 #

Patch Set 2 : " #

Patch Set 3 : Improve bubble text and support ask settings for non https. #

Patch Set 4 : Streamline code. #

Patch Set 5 : Rebase on tot. #

Total comments: 13

Patch Set 6 : Address comments from Bernhard. #

Patch Set 7 : Replace the brace initializer and make the compiler happy. #

Total comments: 6

Patch Set 8 : Address comments from Shijing. #

Patch Set 9 : Fix browser test #

Total comments: 6
Unified diffs Side-by-side diffs Delta from patch set Stats (+318 lines, -44 lines) Patch
M chrome/app/generated_resources.grd View 2 chunks +35 lines, -0 lines 0 comments Download
M chrome/browser/content_settings/tab_specific_content_settings.h View 1 2 chunks +3 lines, -1 line 0 comments Download
M chrome/browser/content_settings/tab_specific_content_settings.cc View 1 2 3 4 5 3 chunks +10 lines, -3 lines 0 comments Download
M chrome/browser/content_settings/tab_specific_content_settings_unittest.cc View 1 2 3 4 5 8 chunks +34 lines, -1 line 0 comments Download
M chrome/browser/media/media_stream_devices_controller.h View 1 2 3 4 5 6 7 2 chunks +9 lines, -0 lines 0 comments Download
M chrome/browser/media/media_stream_devices_controller.cc View 1 2 3 4 5 6 7 9 chunks +18 lines, -15 lines 0 comments Download
M chrome/browser/policy/policy_browsertest.cc View 1 2 3 4 5 6 7 8 3 chunks +11 lines, -2 lines 0 comments Download
M chrome/browser/ui/content_settings/content_setting_bubble_model.cc View 1 2 3 4 5 6 4 chunks +137 lines, -2 lines 4 comments Download
M chrome/browser/ui/content_settings/content_setting_image_model.cc View 1 2 3 4 5 3 chunks +38 lines, -0 lines 2 comments Download
M chrome/browser/ui/media_stream_infobar_delegate.cc View 1 2 3 4 5 6 7 2 chunks +23 lines, -20 lines 0 comments Download
Commit:

Messages

Total messages: 22 (0 generated)
markusheintz_
@Bernhard: Please review the chrome/browser/ui/content_settings changes @Shijing: Please review the cl.
2 years, 1 month ago (2013-01-22 14:17:57 UTC) #1
Bernhard Bauer
https://codereview.chromium.org/11896028/diff/3020/chrome/browser/content_settings/tab_specific_content_settings.cc File chrome/browser/content_settings/tab_specific_content_settings.cc (right): https://codereview.chromium.org/11896028/diff/3020/chrome/browser/content_settings/tab_specific_content_settings.cc#newcode228 chrome/browser/content_settings/tab_specific_content_settings.cc:228: // This method currently only returns meaningful values for ...
2 years, 1 month ago (2013-01-22 14:59:08 UTC) #2
markusheintz_
https://codereview.chromium.org/11896028/diff/3020/chrome/browser/content_settings/tab_specific_content_settings.cc File chrome/browser/content_settings/tab_specific_content_settings.cc (right): https://codereview.chromium.org/11896028/diff/3020/chrome/browser/content_settings/tab_specific_content_settings.cc#newcode228 chrome/browser/content_settings/tab_specific_content_settings.cc:228: // This method currently only returns meaningful values for ...
2 years, 1 month ago (2013-01-23 10:42:30 UTC) #3
Bernhard Bauer
LGTM https://codereview.chromium.org/11896028/diff/3020/chrome/browser/ui/content_settings/content_setting_image_model.cc File chrome/browser/ui/content_settings/content_setting_image_model.cc (right): https://codereview.chromium.org/11896028/diff/3020/chrome/browser/ui/content_settings/content_setting_image_model.cc#newcode195 chrome/browser/ui/content_settings/content_setting_image_model.cc:195: return; On 2013/01/23 10:42:30, markusheintz_ wrote: > On ...
2 years, 1 month ago (2013-01-23 10:54:11 UTC) #4
no longer working on chromium
Thanks for the great work. lgtm with nits. https://codereview.chromium.org/11896028/diff/14002/chrome/browser/media/media_stream_devices_controller.cc File chrome/browser/media/media_stream_devices_controller.cc (right): https://codereview.chromium.org/11896028/diff/14002/chrome/browser/media/media_stream_devices_controller.cc#newcode124 chrome/browser/media/media_stream_devices_controller.cc:124: // ...
2 years, 1 month ago (2013-01-23 11:48:06 UTC) #5
markusheintz_
Thanks a lot Bernhard and Shijing for the review. https://codereview.chromium.org/11896028/diff/14002/chrome/browser/media/media_stream_devices_controller.cc File chrome/browser/media/media_stream_devices_controller.cc (right): https://codereview.chromium.org/11896028/diff/14002/chrome/browser/media/media_stream_devices_controller.cc#newcode124 chrome/browser/media/media_stream_devices_controller.cc:124: ...
2 years, 1 month ago (2013-01-23 12:18:33 UTC) #6
markusheintz_
Adding Glen for UI String review Adding Peter as UI Owner. This CL add a ...
2 years, 1 month ago (2013-01-23 12:25:44 UTC) #7
markusheintz_
Move Peter to CC since he is OOO and add Ben for UI owners approval. ...
2 years, 1 month ago (2013-01-23 16:19:17 UTC) #8
markusheintz_
Ben seem to be at an offsite. 3rd try: Scott I need a UI owner ...
2 years, 1 month ago (2013-01-25 10:16:58 UTC) #9
sky
LGTM I added Peter to the review list since he wanted to see all infobar ...
2 years, 1 month ago (2013-01-25 15:45:13 UTC) #10
sky
That should be Peter, don't feel you need to look.
2 years, 1 month ago (2013-01-25 15:45:24 UTC) #11
markusheintz_
On 2013/01/25 15:45:24, sky wrote: > That should be Peter, don't feel you need to ...
2 years, 1 month ago (2013-01-25 16:35:54 UTC) #12
sky
I don't think you need to wait on Peter for this one. I just added ...
2 years, 1 month ago (2013-01-25 18:00:25 UTC) #13
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/markusheintz@chromium.org/11896028/2004
2 years, 1 month ago (2013-01-25 18:17:58 UTC) #14
I haz the power (commit-bot)
Sorry for I got bad news for ya. Compile failed with a clobber build on ...
2 years, 1 month ago (2013-01-25 18:46:52 UTC) #15
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/markusheintz@chromium.org/11896028/23001
2 years, 1 month ago (2013-01-27 16:37:45 UTC) #16
markusheintz_
@Julian: Could you please review the trivial browser test changes? Just to be save. https://codereview.chromium.org/11896028/diff/23001/chrome/browser/policy/policy_browsertest.cc
2 years, 1 month ago (2013-01-27 16:45:22 UTC) #17
I haz the power (commit-bot)
Commit queue rejected this change because the description was changed between the time the change ...
2 years, 1 month ago (2013-01-27 20:46:43 UTC) #18
I haz the power (commit-bot)
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/markusheintz@chromium.org/11896028/23001
2 years, 1 month ago (2013-01-27 22:07:56 UTC) #19
Peter Kasting
chrome/browser/ui LGTM https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc File chrome/browser/ui/content_settings/content_setting_bubble_model.cc (right): https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/content_settings/content_setting_bubble_model.cc#newcode598 chrome/browser/ui/content_settings/content_setting_bubble_model.cc:598: // TODO(markusheintz): Extract to a helper so ...
2 years, 1 month ago (2013-01-27 22:36:16 UTC) #20
I haz the power (commit-bot)
Change committed as 179093
2 years, 1 month ago (2013-01-27 23:51:44 UTC) #21
markusheintz_
2 years, 1 month ago (2013-01-28 10:06:47 UTC) #22
Message was sent while issue was closed.
Sorry saw the comments when the CL was already commited by CQ.
I addressed all comments in: https://codereview.chromium.org/12089015/

https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/...
File chrome/browser/ui/content_settings/content_setting_bubble_model.cc (right):

https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/...
chrome/browser/ui/content_settings/content_setting_bubble_model.cc:598: //
TODO(markusheintz): Extract to a helper so thath there is only a single
On 2013/01/27 22:36:16, Peter Kasting wrote:
> Nit: thath

Done.

https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/...
chrome/browser/ui/content_settings/content_setting_bubble_model.cc:606:
CONTENT_SETTINGS_TYPE_MEDIASTREAM_MIC, "", setting);
On 2013/01/27 22:36:16, Peter Kasting wrote:
> Nit: "" -> std::string() (2 places)

Done.

https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/...
File chrome/browser/ui/content_settings/content_setting_image_model.cc (right):

https://chromiumcodereview.appspot.com/11896028/diff/23001/chrome/browser/ui/...
chrome/browser/ui/content_settings/content_setting_image_model.cc:200: :
IDS_MEDIASTREAM_ALLOWED_TOOLTIP));
On 2013/01/27 22:36:16, Peter Kasting wrote:
> Nit: Google style guide says wrap after operators, not before.  Here's one
way:
> 
>   set_tooltip(l10n_util::GetStringUTF8(blocked ?
>       IDS_MEDIASTREAM_BLOCKED_TOOLTIP : IDS_MEDIASTREAM_ALLOWED_TOOLTIP));

Done.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 87e6a26